Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
production::Production Interface Reference

Methods used during production. More...

## Public Member Functions
int | enterFactoryConfigMode (in string password)
| Enter factory configuration mode. More...
void | leaveFactoryConfigMode ()
| Leave factory configuration mode.
boolean | isFactoryConfigModeEnabled ()
| Check whether device is in factory configuration mode. More...

## Detailed Description

Methods used during production.

## Member Function Documentation

## ◆ enterFactoryConfigMode()

int production::Production::enterFactoryConfigMode | ( | in string | password | ) |

Enter factory configuration mode.

This mode unlocks several features which should only be available during production, e.g. the RS485 address assignment or sensor calibration. Factory configuration mode will be enabled until the next reboot or until leaveFactoryConfigMode is called.

Parameters

  password | Password required to enter factory config mdoe.

Returns
  0 if OK
  1 if the password is wrong

## ◆ isFactoryConfigModeEnabled()

boolean production::Production::isFactoryConfigModeEnabled | ( |  | ) |

Check whether device is in factory configuration mode.

Returns
  `true` if factory configuration mode is enabled

The documentation for this interface was generated from the following file:

- Production.idl